#
# Conditional build:
%bcond_without	tests	# test target
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define 	module	mccabe
Summary:	McCabe checker, plugin for flake8
Summary(pl.UTF-8):	Wtyczka flake8 do sprawdzania złożoności McCabe'a
Name:		python-%{module}
Version:	0.6.1
Release:	4
License:	Expat/MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/mccabe/
Source0:	https://files.pythonhosted.org/packages/source/m/mccabe/mccabe-%{version}.tar.gz
# Source0-md5:	723df2f7b1737b8887475bac4c763e1e
URL:		https://github.com/pycqa/mccabe
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with python2}
BuildRequires:	python-devel >= 1:2.7
BuildRequires:	python-pytest-runner
BuildRequires:	python-setuptools
%if %{with tests}
BuildRequires:	python-pytest
%endif
%endif
%if %{with python3}
BuildRequires:	python3-devel >= 1:3.3
BuildRequires:	python3-pytest-runner
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-pytest
%endif
%endif
Requires:	python-modules >= 1:2.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Ned's script to check McCabe complexity.

%description -l pl.UTF-8
Skrypt Neda do sprawdzania złożoności McCabe'a (cyklomatycznej).

%package -n python3-%{module}
Summary:	McCabe checker, plugin for flake8
Summary(pl.UTF-8):	Wtyczka flake8 do sprawdzania złożoności McCabe'a
Group:		Libraries/Python
Requires:	python3-modules >= 1:3.3

%description -n python3-%{module}
Ned's script to check McCabe complexity.

%description -n python3-%{module} -l pl.UTF-8
Skrypt Neda do sprawdzania złożoności McCabe'a (cyklomatycznej).

%prep
%setup -q -n %{module}-%{version}

%build
%if %{with python2}
%py_build

%if %{with tests}
%{__python} -m pytest test_mccabe.py
%endif
%endif

%if %{with python3}
%py3_build

%if %{with tests}
%{__python3} -m pytest test_mccabe.py
%endif
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc LICENSE README.rst
%{py_sitescriptdir}/mccabe.py[co]
%{py_sitescriptdir}/mccabe-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc LICENSE README.rst
%{py3_sitescriptdir}/mccabe.py
%{py3_sitescriptdir}/__pycache__/mccabe.cpython-*.py[co]
%{py3_sitescriptdir}/mccabe-%{version}-py*.egg-info
%endif
%changelog
* Mon Mar 01 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-mccabe.git;a=log;h=master

* Mon Mar 01 2021 Jan Palus <atler@pld-linux.org> 5ba96d4
- release 4 (by relup.sh)

* Sat Jan 11 2020 Jakub Bogusz <qboosh@pld-linux.org> 32db545
- don't rely on pytest-runner (although setup.py still requires it explicitly)

* Tue Oct 29 2019 Jakub Bogusz <qboosh@pld-linux.org> de8b8d7
- pytest-runner is specified as setup dependency

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> ba11685
- rebuild with python 3.8
- release 3 (by relup.sh)

* Sun Jul 22 2018 Jakub Bogusz <qboosh@pld-linux.org> a71b112
- updated download URL

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 02044b4
- release 2 (by relup.sh)

* Sat Apr 08 2017 Jakub Bogusz <qboosh@pld-linux.org> deaac11
- updated to 0.6.1

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> f9adf88
- python 3.6
- release 2 (by relup.sh)

* Mon Mar 21 2016 Jakub Bogusz <qboosh@pld-linux.org> ca5c66c
- updated to 0.4.0
- pl

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 575c52c
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> cb80d35
- release 4 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> d584c04
- automatic change: use py_build/py_install macros

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 4da98a9
- python3.5 rebuild
- release 3 (by relup.sh)

* Sun Sep 13 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> dad37d0
- python 3.5 rebuild
- release 2 (by relup.sh)

* Thu Nov 27 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> b6af0ad
- initial

